Fastfold Docs
Workflows

Preview OpenMM Input From Fold Job

Preview resolved structure/PAE inputs from a fold job before launching calvados_openmm_v1.

GET
/v1/workflows/openmm/input-from-fold-job/preview

Authorization

bearerAuth

AuthorizationBearer <token>

Bearer token authentication. Use your API key with: Authorization: Bearer <YOUR_API_KEY>

In: header

Query Parameters

job_id?string
Formatuuid
job_run_id?string
Formatuuid
sequence_id?string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://api.fastfold.ai/v1/workflows/openmm/input-from-fold-job/preview"
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "job_run_id": "1dc2ddbb-71cc-4058-bbce-4592dc8ddf5a",
  "sequence_id": "7cd84c09-94f4-486c-9c49-de3b9cf3f74f",
  "source_weight_set": "string",
  "source_model_name": "string",
  "structure_file_name": "string",
  "structure_format": "string",
  "pae_json_file_name": "string",
  "structure_residue_count": 0,
  "pae_matrix_size": 0,
  "pae_expected_format": "string",
  "pae_transform": "string",
  "structure_text": "string",
  "pae_json_text": "string",
  "pae_available": true,
  "recommended_preset": "string",
  "sequence_label": "string"
}
{
  "message": "Workflow not found"
}

Last updated on